var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconAnnotationComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-annotation").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 20 20" }, rest, { ref: ref }),
        React.createElement("path", { d: "M15.1 2.08a3.15 3.15 0 0 1 3.15 3.15v7.628l-.004.162a3.151 3.151 0 0 1-3.146 2.99h-2.696a.25.25 0 0 0-.14.042l-.037.032-1.595 1.608a.75.75 0 0 1-.954.092l-.115-.096-1.568-1.603a.25.25 0 0 0-.179-.075H4.9a3.15 3.15 0 0 1-3.15-3.15V5.23A3.15 3.15 0 0 1 4.9 2.08h10.2ZM4.9 3.58c-.91 0-1.65.74-1.65 1.65v7.628c0 .912.74 1.65 1.65 1.65h3.326l.088.005a.75.75 0 0 1 .46.221l1.15 1.178a.25.25 0 0 0 .357.001l1.164-1.173.07-.064a.751.751 0 0 1 .473-.167H15.1c.91 0 1.65-.74 1.65-1.65V5.23c0-.91-.74-1.65-1.65-1.65H4.9Zm7.6 4.67a.75.75 0 0 1 0 1.5h-5a.75.75 0 0 1 0-1.5h5Z" }));
}
var IconAnnotation = React.forwardRef(IconAnnotationComponent);
export default IconAnnotation;
